html {/*ズレ対策**/
  width: 100%;
  overflow-x: hidden;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

body{
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  grid-template-rows: 1fr auto; /* コンテンツが1fr、フッターがauto */
 font-family: "Zen Kaku Gothic Antique", sans-serif; font-weight: 400; line-height: 1.8; letter-spacing: 0.06em; 
}
h1, h2, .message {
   font-weight: 500; 
  }



img {/*ズレ対策**/
  max-width: 100%;
  height: auto;
  display: block;
}
body  p{
    margin: 0 ;
   font-size: 15px;
   line-height: 30px;

  }

  @media (max-width: 768px) {
    body  p{
      font-size: 14px;
    }
  }


  small,
  label{
    font-family: 'Zen Kaku Gothic Antique', 'ヒラギノ角ゴ ProN', sans-serif;
  }
@media (max-width: 768px) {
  body{
  width: 100%;
  height: 100%;
}
}

  
  
   /*----------------------------------------
                     header
   /*-----------------------------------*/
  header {
    /*position: relative;*/
    position: fixed;
     top: 0;
     left: 0;
     width: 100%;
    display: flex;	
   background-color: #f5f5f5;
    justify-content: space-between;	/* ← 左右に分かれる */
    padding: 40px 40px;
    align-items: center;
    z-index: 100;
    box-sizing: border-box;
  }
  
  .logo img{
    width: 120px;
  }
  
  /* ハンバーガーメニュー */
  .menu-toggle {
  /*border: 1px solid blue; test*/
  width: 28px;
  height: 25px;
  flex-direction: column;
  justify-content: space-between;
  cursor:pointer;
  position: relative;
  z-index:110;
}
 
  
  .menu-toggle span {
    display: block;
    width: 100%;
    height: 3px;
    background: #707070; /* テスト用 */
    margin: 6px 0;
    transition: all 0.3s ease;
  }
   /* チェックボックス非表示 */
   #menu-checkbox {
    display: none;
  }

 /* メニュー本体 */
.menu {
  position: fixed;
  top: 0;
  left: -120%;/*SP：画面の外左120%にある*/
  width: 240px;
  height: 100%;
  background: #fff;
  padding: 80px 20px;
  box-shadow: 2px 0 8px rgba(0, 0, 0, 0.2);
  transition: left 0.3s ease;
  z-index: 105;
}

.menu ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.menu li {
  margin-bottom: 20px;
}

.menu a {
  letter-spacing:1px;
  color:#3E3E3E;
  text-decoration: none;
  font-size: 15px;
}
/* オーバーレイ */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.4);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
  z-index: 90;
}

/* メニューが開いたとき */
#menu-checkbox:checked ~ .menu {
  left: 0;
}

/* ハンバーガーアニメーション */
#menu-checkbox:checked ~ .menu-toggle span:nth-of-type(1) {
  transform: translateY(9px) rotate(45deg);
}
#menu-checkbox:checked ~ .menu-toggle span:nth-of-type(2) {
  opacity: 0;
}
#menu-checkbox:checked ~ .menu-toggle span:nth-of-type(3) {
  transform: translateY(-9px) rotate(-45deg);
}

#menu-checkbox:checked ~ .overlay {
  opacity: 1;
  pointer-events: auto;
}
li:hover{
  color: #fff;
  opacity: 0.6;
}


/*----------------------------------------
  main　コンテンツ
/*---------------------------------------*/

main {
  margin:0;
}
@media (max-width: 768px) {
  main{
    margin: 0px;
  }
  
}








/* ==========================================================
 only device
========================================================== */
.only-pc {
  display: block !important;
}

@media all and (max-width: 768px) {
  .only-pc {
    display: none !important;
  }
}

.only-sp {
  display: none !important;
}

@media all and (max-width: 768px) {
  .only-sp {
    display: block !important;
  }
}




  /*---------------------------
              footer
  ---------------------------*/
  footer {
   /* display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;*/
    padding: 80px 80px;
    background-color: #2F2F2F;
    color: #fff;
  }
  
  .f_logo{
    max-width: 300px;
    margin: 0 auto;
  }
  
 .f_logo a {
    width: 100%;
  }

  .copyright{
    display: block;
    font-size: 12px;
    color: #fff;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 0px !important;
  }

  @media (max-width: 768px) {
    .footer .f_logo img {
    width: 50% !important;
    }
      .copyright{
       width: 100%;}
    }
    @media (max-width: 430px) {
      .footer{
        margin-top: 40px;
        padding: 40px 100px !important;
    }
  }

/* =========================
   波紋_button CSS
========================= */

.button {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 320px;
  margin:40px 0;
  padding: .9em 2em;
  border: 1px solid #DD8864;
  border-radius: 25px;
  background-color: #DD8864;
  color: #fff;
  font-size: 1em;
  font-family: 'Zen Kaku Gothic Antique';
}


.contact_button {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 320px;
  margin:40px auto ;
  padding: .9em 2em;
  border: 1px solid #2F2F2F;
  border-radius: 25px;
  background-color: #2F2F2F;
  color: #fff;
  font-size: 1em;
  font-family: 'Zen Kaku Gothic Antique';
}

@media screen and (max-width: 430px) {
  .contact_button{
    margin: 40px auto 80px auto;
    padding: auto 32px;
  }
}

.button:hover {
  animation: anima-button-30 1s;
}

@keyframes anima-button-30 {
  0% {
      box-shadow: 0 0 0 0 rgba(233, 168, 55, 0.5);
  }
  100% {
      box-shadow: 0 0 0 1.2em rgb(0 0 0 / 0%);
  }
}

.button::after {
  transform: rotate(45deg);
  width: 5px;
  height: 5px;
  margin-left: 10px;
  border-top: 2px solid #fff;
  border-right: 2px solid #fff;
  content: '';
}

.contact_button::after {
  transform: rotate(45deg);
  width: 5px;
  height: 5px;
  margin-left: 10px;
  border-top: 2px solid #fff;
  border-right: 2px solid #fff;
  content: '';
}


  /* =========================
  fadein
=========================
.fadein {
  animation: none;/*fv以外のアニメーション消す
  opacity: 0;
  transform: translateY(40px);
}

.fadein.is-show {
  animation: fadeIn 0.9s ease-out forwards;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(40px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
 */
 /* =========================
   Scroll Fadein Unified
========================= */

.fadein {
  opacity: 0;
  transform: translateY(40px);
  transition: opacity 0.9s ease, transform 0.9s ease;
}

.fadein.is-show {
  opacity: 1;
  transform: translateY(0);
}
